Welcome, Guest
Username Password: Remember me
  • Page:
  • 1

TOPIC: Failed to load torrent Error: Expected value (list, dict, int or string) in bencoded strin

Failed to load torrent Error: Expected value (list, dict, int or string) in bencoded strin 4 months, 1 week ago #224884

  • MRandolph
  • OFFLINE
  • Fresh Boarder
  • Posts: 5
  • 4 months, 1 week ago
I have attempted several time to load the latest version of Lightworks. I am running on Ubuntu 20.04. I have the free version Lightworks installed and use it regularly. I get a notice that the newer verison is available. I downloaded the .deb file which is approximately 62MB. First I tried to install it with the software installer, that did not work. When I start the download, I am offered to open it with a bit torrent app or to save it. Usually when I click to download a .deb file, I am offered to open it with software installer. So I presumed this is a torrent file. Not so. When I try to open it with bit torrent, I get the following message attached hereto.

So I thought I would try to install it with the command prompt. I get this message when doing that.

Unsupported file ../lightworks-2020.1-r122068-amd64.deb given on commandline


62MB seems kind of large for a torrent management file. It does not installed when trying to open it in either way as a deb or a torrent.I am eager to see what these new functions are. I appreciate any help.
Attachments:
  • Attachment This image is hidden for guests. Please log in or register to see it.
Last Edit: 4 months, 1 week ago by MRandolph.

Re: Failed to load torrent Error: Expected value (list, dict, int or string) in bencoded strin 4 months, 1 week ago #224892

  • briandrys
  • Moderator
    Pro User
  • OFFLINE
  • Moderator
  • Posts: 10900
  • 4 months, 1 week ago
I;m going to move this into the Linux section, where it should get more attention.

Re: Failed to load torrent Error: Expected value (list, dict, int or string) in bencoded strin 4 months, 1 week ago #224898

  • hugly
  • OFFLINE
  • Platinum Boarder
  • Posts: 27533
  • 4 months, 1 week ago
Hello,

Please try:

wget  https://cdn.lwks.com/releases/lightworks-2020.1-r122068-amd64.deb
sudo apt-get -f install ./lightworks-2020.1-r122068-amd64.deb
It's better to travel well than to arrive...

Re: Failed to load torrent Error: Expected value (list, dict, int or string) in bencoded strin 4 months, 1 week ago #224902

  • MRandolph
  • OFFLINE
  • Fresh Boarder
  • Posts: 5
  • 4 months, 1 week ago
This does not make any sense. I have been trying to install the latest verison, but when I run the 2nd command, I get a message telling me that Lightworks is already the newest version 2020.1. When I click on the Credits in the menu I am taken to www.lwks.com/index.php?option=com_content&view=article&id=95.

I do not know how the newest version got installed when everytime I tried to install the downloaded .deb file, I got an error message. Apparently all it well and I did not konw it.

But thank you for you help. It would have worked had I really needed it. Oddly, I get the poppup message letting me know about the newer verison every time I open Lightworks. I gues I just have to cehck the box that says not to show the message again. I thought is was doing a check each time.

Re: Failed to load torrent Error: Expected value (list, dict, int or string) in bencoded strin 4 months, 1 week ago #224903

  • briandrys
  • Moderator
    Pro User
  • OFFLINE
  • Moderator
  • Posts: 10900
  • 4 months, 1 week ago
That message reappearing on V2020,1 is a bug, just click the now showing the message box.

Re: Failed to load torrent Error: Expected value (list, dict, int or string) in bencoded strin 4 months, 1 week ago #224904

  • hugly
  • OFFLINE
  • Platinum Boarder
  • Posts: 27533
  • 4 months, 1 week ago
The command lines posted above work here flawlessly, just tested before posting. The downloaded installer is valid. You can un-install an existing version without affecting projects and media, if needed, like so:

sudo apt-get purge lightworks

The pop-up on startup is nonsense, its underlying logic doesn't check for the installed version.
It's better to travel well than to arrive...
Last Edit: 4 months, 1 week ago by hugly.

Re: Failed to load torrent Error: Expected value (list, dict, int or string) in bencoded strin 4 months, 1 week ago #224916

  • MRandolph
  • OFFLINE
  • Fresh Boarder
  • Posts: 5
  • 4 months, 1 week ago
Apparently I am already upgraded and I just need to check the box to stop showing the message. Thanks for you help. It may not be a bad idea to purge everything and start over just to be sure.

Re: Failed to load torrent Error: Expected value (list, dict, int or string) in bencoded strin 4 months, 1 week ago #224918

  • gr00by
  • Pro User
  • OFFLINE
  • Platinum Boarder
  • Posts: 1153
  • 4 months, 1 week ago
This message comes from a program/script, which handlies torrent files on your system. It's not related to Lightworks.
Canon C100 -- Manjaro Linux User
  • Page:
  • 1
Time to create page: 0.33 seconds
Scroll To Top